%% mhtm.m
% This script creates a pdf file of Jaap H. Abbring's "Mixed Hitting-Time Models" (September 2011)				    

%% Initialization
tic
clear;
close all;

%% Test Matlab version
v=datenum(version('-date'));
if v>=datenum('February 10, 2008')
    disp(['[mhtm] Matlab release ' datestr(v) ' o.k.']);
else
    error('[mhtm] WARNING: code only tested for Matlab Release 2008a and higher.');
end

%% Test for the presence of pdflatex and bibtex
disp('[mhtm] Testing LaTeX installation....')
[status,result]=system('pdflatex -version');
if status~=0
    error('[mhtm] pdflatex not available. Please modify your installation and try again.')
else
    disp(result)
end

[status,result]=system('bibtex -version');
if status~=0
    error('[mhtm] bibtex not available. Please modify your installation and try again.')
else
    disp(result)
end
disp('[mhtm] LaTeX installation o.k.')

%% Create Figures 1 and 2
cd('compute');
mhtmsim
mhtmighaz
cd('..');

%% Compile paper
! pdflatex --save-size=50000 -quiet mhtm
! bibtex mhtm
! pdflatex --save-size=50000 -quiet mhtm
! pdflatex --save-size=50000 -quiet mhtm
! pdflatex --save-size=50000 mhtm

%% Display paper and conclude
toc
web mhtm.pdf